### Method

# Atk Text get_text_at_offset

deprecated: Unknown

#### Declaration [src]

    gchar*
    atk_text_get_text_at_offset (
      AtkText* text,
      gint offset,
      AtkTextBoundary boundary_type,
      gint* start_offset,
      gint* end_offset
    )

#### Description [src]

Gets the specified text.

If the boundary_type if ATK_TEXT_BOUNDARY_CHAR the character at the offset is returned.

If the boundary_type is ATK_TEXT_BOUNDARY_WORD_START the returned string is from the word start at or before the offset to the word start after the offset.

The returned string will contain the word at the offset if the offset is inside a word and will contain the word before the offset if the offset is not inside a word.

If the boundary type is ATK_TEXT_BOUNDARY_SENTENCE_START the returned string is from the sentence start at or before the offset to the sentence start after the offset.

The returned string will contain the sentence at the offset if the offset is inside a sentence and will contain the sentence before the offset if the offset is not inside a sentence.

If the boundary type is ATK_TEXT_BOUNDARY_LINE_START the returned string is from the line start at or before the offset to the line start after the offset.

Deprecated since: Unknown

This method is deprecated since ATK version 2.9.4. Please use `atk_text_get_string_at_offset()` instead.

#### Parameters

`offset`

  Type: `gint`

  Position.

`boundary_type`

  Type: `AtkTextBoundary`

  An `AtkTextBoundary`.

`start_offset`

  Type: `gint*`

  The starting character offset of the returned string.

  The argument will be set by the function.

`end_offset`

  Type: `gint*`

  The offset of the first character after the returned substring.

  The argument will be set by the function.

#### Return value

Type: `gchar*`

A newly allocated string containing the text at `offset` bounded by the specified `boundary_type`. Use `g_free()` to free the returned string.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.